Package com.logicaldoc.core.metadata

# Class AttributeSet

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.metadata.ExtensibleObject
com.logicaldoc.core.metadata.AbstractAttributeSet
com.logicaldoc.core.metadata.AttributeSet

All Implemented Interfaces:
  `Extensible`, `Serializable`

@Entity public class AttributeSet extends AbstractAttributeSet
Represents a set of attributes

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.metadata.AbstractAttributeSet

`TYPE_DEFAULT`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`AttributeSet()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Attribute>`
`getTemplateAttributes()`
`void`
`setTemplateAttributes(Map<String,Attribute> templateAttributes)`

### Methods inherited from class com.logicaldoc.core.metadata.AbstractAttributeSet

`equals, getAttribute, getAttributeAtPosition, getAttributeNames, getAttributeNames, getAttributes, getDescription, getLabel, getName, getTemplate, getTemplateAttribute, getTemplateId, getTemplateName, getType, getValue, getValueAttributes, getValues, hashCode, isReadonly, removeAttribute, setAttribute, setAttributes, setDescription, setLabel, setName, setReadonly, setTemplate, setTemplateId, setTemplateName, setType, setValue, setValues`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeSet

public AttributeSet()

## Method Details

### getTemplateAttributes

public Map<String,Attribute> getTemplateAttributes()

Specified by:
  `getTemplateAttributes` in class `AbstractAttributeSet`

### setTemplateAttributes

public void setTemplateAttributes(Map<String,Attribute> templateAttributes)

Specified by:
  `setTemplateAttributes` in class `AbstractAttributeSet`